#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,512,640,768,1024,2048
 * N : 25,128,192,256,512,640,768,1024,2048
 * NB : 4,4,32,32,24,64,64,64,64
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 160) (nb_) = 4; \
   else if ((n_) < 384) (nb_) = 32; \
   else if ((n_) < 576) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
